Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network46.167.80.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
46.167.80.0
Broadcast address
46.167.83.255
First usable
46.167.80.1
Last usable
46.167.83.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 2EA75000 · Integer 782716928 to 782717951
Reverse DNS zones
80.167.46.in-addr.arpa
81.167.46.in-addr.arpa
82.167.46.in-addr.arpa
83.167.46.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101110.10100111.01010000.0000000046.167.80.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00101110.10100111.01010000.0000000046.167.80.0
Broadcast00101110.10100111.01010011.1111111146.167.83.255
Split into smaller subnets/30

46.167.80.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
146.167.80.0/3046.167.80.1 to 46.167.80.246.167.80.32
246.167.80.4/3046.167.80.5 to 46.167.80.646.167.80.72
346.167.80.8/3046.167.80.9 to 46.167.80.1046.167.80.112
446.167.80.12/3046.167.80.13 to 46.167.80.1446.167.80.152
546.167.80.16/3046.167.80.17 to 46.167.80.1846.167.80.192
646.167.80.20/3046.167.80.21 to 46.167.80.2246.167.80.232
746.167.80.24/3046.167.80.25 to 46.167.80.2646.167.80.272
846.167.80.28/3046.167.80.29 to 46.167.80.3046.167.80.312
946.167.80.32/3046.167.80.33 to 46.167.80.3446.167.80.352
1046.167.80.36/3046.167.80.37 to 46.167.80.3846.167.80.392
1146.167.80.40/3046.167.80.41 to 46.167.80.4246.167.80.432
1246.167.80.44/3046.167.80.45 to 46.167.80.4646.167.80.472
1346.167.80.48/3046.167.80.49 to 46.167.80.5046.167.80.512
1446.167.80.52/3046.167.80.53 to 46.167.80.5446.167.80.552
1546.167.80.56/3046.167.80.57 to 46.167.80.5846.167.80.592
1646.167.80.60/3046.167.80.61 to 46.167.80.6246.167.80.632
1746.167.80.64/3046.167.80.65 to 46.167.80.6646.167.80.672
1846.167.80.68/3046.167.80.69 to 46.167.80.7046.167.80.712
1946.167.80.72/3046.167.80.73 to 46.167.80.7446.167.80.752
2046.167.80.76/3046.167.80.77 to 46.167.80.7846.167.80.792
2146.167.80.80/3046.167.80.81 to 46.167.80.8246.167.80.832
2246.167.80.84/3046.167.80.85 to 46.167.80.8646.167.80.872
2346.167.80.88/3046.167.80.89 to 46.167.80.9046.167.80.912
2446.167.80.92/3046.167.80.93 to 46.167.80.9446.167.80.952
2546.167.80.96/3046.167.80.97 to 46.167.80.9846.167.80.992
2646.167.80.100/3046.167.80.101 to 46.167.80.10246.167.80.1032
2746.167.80.104/3046.167.80.105 to 46.167.80.10646.167.80.1072
2846.167.80.108/3046.167.80.109 to 46.167.80.11046.167.80.1112
2946.167.80.112/3046.167.80.113 to 46.167.80.11446.167.80.1152
3046.167.80.116/3046.167.80.117 to 46.167.80.11846.167.80.1192
3146.167.80.120/3046.167.80.121 to 46.167.80.12246.167.80.1232
3246.167.80.124/3046.167.80.125 to 46.167.80.12646.167.80.1272
3346.167.80.128/3046.167.80.129 to 46.167.80.13046.167.80.1312
3446.167.80.132/3046.167.80.133 to 46.167.80.13446.167.80.1352
3546.167.80.136/3046.167.80.137 to 46.167.80.13846.167.80.1392
3646.167.80.140/3046.167.80.141 to 46.167.80.14246.167.80.1432
3746.167.80.144/3046.167.80.145 to 46.167.80.14646.167.80.1472
3846.167.80.148/3046.167.80.149 to 46.167.80.15046.167.80.1512
3946.167.80.152/3046.167.80.153 to 46.167.80.15446.167.80.1552
4046.167.80.156/3046.167.80.157 to 46.167.80.15846.167.80.1592
4146.167.80.160/3046.167.80.161 to 46.167.80.16246.167.80.1632
4246.167.80.164/3046.167.80.165 to 46.167.80.16646.167.80.1672
4346.167.80.168/3046.167.80.169 to 46.167.80.17046.167.80.1712
4446.167.80.172/3046.167.80.173 to 46.167.80.17446.167.80.1752
4546.167.80.176/3046.167.80.177 to 46.167.80.17846.167.80.1792
4646.167.80.180/3046.167.80.181 to 46.167.80.18246.167.80.1832
4746.167.80.184/3046.167.80.185 to 46.167.80.18646.167.80.1872
4846.167.80.188/3046.167.80.189 to 46.167.80.19046.167.80.1912
4946.167.80.192/3046.167.80.193 to 46.167.80.19446.167.80.1952
5046.167.80.196/3046.167.80.197 to 46.167.80.19846.167.80.1992
5146.167.80.200/3046.167.80.201 to 46.167.80.20246.167.80.2032
5246.167.80.204/3046.167.80.205 to 46.167.80.20646.167.80.2072
5346.167.80.208/3046.167.80.209 to 46.167.80.21046.167.80.2112
5446.167.80.212/3046.167.80.213 to 46.167.80.21446.167.80.2152
5546.167.80.216/3046.167.80.217 to 46.167.80.21846.167.80.2192
5646.167.80.220/3046.167.80.221 to 46.167.80.22246.167.80.2232
5746.167.80.224/3046.167.80.225 to 46.167.80.22646.167.80.2272
5846.167.80.228/3046.167.80.229 to 46.167.80.23046.167.80.2312
5946.167.80.232/3046.167.80.233 to 46.167.80.23446.167.80.2352
6046.167.80.236/3046.167.80.237 to 46.167.80.23846.167.80.2392
6146.167.80.240/3046.167.80.241 to 46.167.80.24246.167.80.2432
6246.167.80.244/3046.167.80.245 to 46.167.80.24646.167.80.2472
6346.167.80.248/3046.167.80.249 to 46.167.80.25046.167.80.2512
6446.167.80.252/3046.167.80.253 to 46.167.80.25446.167.80.2552
6546.167.81.0/3046.167.81.1 to 46.167.81.246.167.81.32
6646.167.81.4/3046.167.81.5 to 46.167.81.646.167.81.72
6746.167.81.8/3046.167.81.9 to 46.167.81.1046.167.81.112
6846.167.81.12/3046.167.81.13 to 46.167.81.1446.167.81.152
6946.167.81.16/3046.167.81.17 to 46.167.81.1846.167.81.192
7046.167.81.20/3046.167.81.21 to 46.167.81.2246.167.81.232
7146.167.81.24/3046.167.81.25 to 46.167.81.2646.167.81.272
7246.167.81.28/3046.167.81.29 to 46.167.81.3046.167.81.312
7346.167.81.32/3046.167.81.33 to 46.167.81.3446.167.81.352
7446.167.81.36/3046.167.81.37 to 46.167.81.3846.167.81.392
7546.167.81.40/3046.167.81.41 to 46.167.81.4246.167.81.432
7646.167.81.44/3046.167.81.45 to 46.167.81.4646.167.81.472
7746.167.81.48/3046.167.81.49 to 46.167.81.5046.167.81.512
7846.167.81.52/3046.167.81.53 to 46.167.81.5446.167.81.552
7946.167.81.56/3046.167.81.57 to 46.167.81.5846.167.81.592
8046.167.81.60/3046.167.81.61 to 46.167.81.6246.167.81.632
8146.167.81.64/3046.167.81.65 to 46.167.81.6646.167.81.672
8246.167.81.68/3046.167.81.69 to 46.167.81.7046.167.81.712
8346.167.81.72/3046.167.81.73 to 46.167.81.7446.167.81.752
8446.167.81.76/3046.167.81.77 to 46.167.81.7846.167.81.792
8546.167.81.80/3046.167.81.81 to 46.167.81.8246.167.81.832
8646.167.81.84/3046.167.81.85 to 46.167.81.8646.167.81.872
8746.167.81.88/3046.167.81.89 to 46.167.81.9046.167.81.912
8846.167.81.92/3046.167.81.93 to 46.167.81.9446.167.81.952
8946.167.81.96/3046.167.81.97 to 46.167.81.9846.167.81.992
9046.167.81.100/3046.167.81.101 to 46.167.81.10246.167.81.1032
9146.167.81.104/3046.167.81.105 to 46.167.81.10646.167.81.1072
9246.167.81.108/3046.167.81.109 to 46.167.81.11046.167.81.1112
9346.167.81.112/3046.167.81.113 to 46.167.81.11446.167.81.1152
9446.167.81.116/3046.167.81.117 to 46.167.81.11846.167.81.1192
9546.167.81.120/3046.167.81.121 to 46.167.81.12246.167.81.1232
9646.167.81.124/3046.167.81.125 to 46.167.81.12646.167.81.1272
9746.167.81.128/3046.167.81.129 to 46.167.81.13046.167.81.1312
9846.167.81.132/3046.167.81.133 to 46.167.81.13446.167.81.1352
9946.167.81.136/3046.167.81.137 to 46.167.81.13846.167.81.1392
10046.167.81.140/3046.167.81.141 to 46.167.81.14246.167.81.1432
10146.167.81.144/3046.167.81.145 to 46.167.81.14646.167.81.1472
10246.167.81.148/3046.167.81.149 to 46.167.81.15046.167.81.1512
10346.167.81.152/3046.167.81.153 to 46.167.81.15446.167.81.1552
10446.167.81.156/3046.167.81.157 to 46.167.81.15846.167.81.1592
10546.167.81.160/3046.167.81.161 to 46.167.81.16246.167.81.1632
10646.167.81.164/3046.167.81.165 to 46.167.81.16646.167.81.1672
10746.167.81.168/3046.167.81.169 to 46.167.81.17046.167.81.1712
10846.167.81.172/3046.167.81.173 to 46.167.81.17446.167.81.1752
10946.167.81.176/3046.167.81.177 to 46.167.81.17846.167.81.1792
11046.167.81.180/3046.167.81.181 to 46.167.81.18246.167.81.1832
11146.167.81.184/3046.167.81.185 to 46.167.81.18646.167.81.1872
11246.167.81.188/3046.167.81.189 to 46.167.81.19046.167.81.1912
11346.167.81.192/3046.167.81.193 to 46.167.81.19446.167.81.1952
11446.167.81.196/3046.167.81.197 to 46.167.81.19846.167.81.1992
11546.167.81.200/3046.167.81.201 to 46.167.81.20246.167.81.2032
11646.167.81.204/3046.167.81.205 to 46.167.81.20646.167.81.2072
11746.167.81.208/3046.167.81.209 to 46.167.81.21046.167.81.2112
11846.167.81.212/3046.167.81.213 to 46.167.81.21446.167.81.2152
11946.167.81.216/3046.167.81.217 to 46.167.81.21846.167.81.2192
12046.167.81.220/3046.167.81.221 to 46.167.81.22246.167.81.2232
12146.167.81.224/3046.167.81.225 to 46.167.81.22646.167.81.2272
12246.167.81.228/3046.167.81.229 to 46.167.81.23046.167.81.2312
12346.167.81.232/3046.167.81.233 to 46.167.81.23446.167.81.2352
12446.167.81.236/3046.167.81.237 to 46.167.81.23846.167.81.2392
12546.167.81.240/3046.167.81.241 to 46.167.81.24246.167.81.2432
12646.167.81.244/3046.167.81.245 to 46.167.81.24646.167.81.2472
12746.167.81.248/3046.167.81.249 to 46.167.81.25046.167.81.2512
12846.167.81.252/3046.167.81.253 to 46.167.81.25446.167.81.2552
12946.167.82.0/3046.167.82.1 to 46.167.82.246.167.82.32
13046.167.82.4/3046.167.82.5 to 46.167.82.646.167.82.72
13146.167.82.8/3046.167.82.9 to 46.167.82.1046.167.82.112
13246.167.82.12/3046.167.82.13 to 46.167.82.1446.167.82.152
13346.167.82.16/3046.167.82.17 to 46.167.82.1846.167.82.192
13446.167.82.20/3046.167.82.21 to 46.167.82.2246.167.82.232
13546.167.82.24/3046.167.82.25 to 46.167.82.2646.167.82.272
13646.167.82.28/3046.167.82.29 to 46.167.82.3046.167.82.312
13746.167.82.32/3046.167.82.33 to 46.167.82.3446.167.82.352
13846.167.82.36/3046.167.82.37 to 46.167.82.3846.167.82.392
13946.167.82.40/3046.167.82.41 to 46.167.82.4246.167.82.432
14046.167.82.44/3046.167.82.45 to 46.167.82.4646.167.82.472
14146.167.82.48/3046.167.82.49 to 46.167.82.5046.167.82.512
14246.167.82.52/3046.167.82.53 to 46.167.82.5446.167.82.552
14346.167.82.56/3046.167.82.57 to 46.167.82.5846.167.82.592
14446.167.82.60/3046.167.82.61 to 46.167.82.6246.167.82.632
14546.167.82.64/3046.167.82.65 to 46.167.82.6646.167.82.672
14646.167.82.68/3046.167.82.69 to 46.167.82.7046.167.82.712
14746.167.82.72/3046.167.82.73 to 46.167.82.7446.167.82.752
14846.167.82.76/3046.167.82.77 to 46.167.82.7846.167.82.792
14946.167.82.80/3046.167.82.81 to 46.167.82.8246.167.82.832
15046.167.82.84/3046.167.82.85 to 46.167.82.8646.167.82.872
15146.167.82.88/3046.167.82.89 to 46.167.82.9046.167.82.912
15246.167.82.92/3046.167.82.93 to 46.167.82.9446.167.82.952
15346.167.82.96/3046.167.82.97 to 46.167.82.9846.167.82.992
15446.167.82.100/3046.167.82.101 to 46.167.82.10246.167.82.1032
15546.167.82.104/3046.167.82.105 to 46.167.82.10646.167.82.1072
15646.167.82.108/3046.167.82.109 to 46.167.82.11046.167.82.1112
15746.167.82.112/3046.167.82.113 to 46.167.82.11446.167.82.1152
15846.167.82.116/3046.167.82.117 to 46.167.82.11846.167.82.1192
15946.167.82.120/3046.167.82.121 to 46.167.82.12246.167.82.1232
16046.167.82.124/3046.167.82.125 to 46.167.82.12646.167.82.1272
16146.167.82.128/3046.167.82.129 to 46.167.82.13046.167.82.1312
16246.167.82.132/3046.167.82.133 to 46.167.82.13446.167.82.1352
16346.167.82.136/3046.167.82.137 to 46.167.82.13846.167.82.1392
16446.167.82.140/3046.167.82.141 to 46.167.82.14246.167.82.1432
16546.167.82.144/3046.167.82.145 to 46.167.82.14646.167.82.1472
16646.167.82.148/3046.167.82.149 to 46.167.82.15046.167.82.1512
16746.167.82.152/3046.167.82.153 to 46.167.82.15446.167.82.1552
16846.167.82.156/3046.167.82.157 to 46.167.82.15846.167.82.1592
16946.167.82.160/3046.167.82.161 to 46.167.82.16246.167.82.1632
17046.167.82.164/3046.167.82.165 to 46.167.82.16646.167.82.1672
17146.167.82.168/3046.167.82.169 to 46.167.82.17046.167.82.1712
17246.167.82.172/3046.167.82.173 to 46.167.82.17446.167.82.1752
17346.167.82.176/3046.167.82.177 to 46.167.82.17846.167.82.1792
17446.167.82.180/3046.167.82.181 to 46.167.82.18246.167.82.1832
17546.167.82.184/3046.167.82.185 to 46.167.82.18646.167.82.1872
17646.167.82.188/3046.167.82.189 to 46.167.82.19046.167.82.1912
17746.167.82.192/3046.167.82.193 to 46.167.82.19446.167.82.1952
17846.167.82.196/3046.167.82.197 to 46.167.82.19846.167.82.1992
17946.167.82.200/3046.167.82.201 to 46.167.82.20246.167.82.2032
18046.167.82.204/3046.167.82.205 to 46.167.82.20646.167.82.2072
18146.167.82.208/3046.167.82.209 to 46.167.82.21046.167.82.2112
18246.167.82.212/3046.167.82.213 to 46.167.82.21446.167.82.2152
18346.167.82.216/3046.167.82.217 to 46.167.82.21846.167.82.2192
18446.167.82.220/3046.167.82.221 to 46.167.82.22246.167.82.2232
18546.167.82.224/3046.167.82.225 to 46.167.82.22646.167.82.2272
18646.167.82.228/3046.167.82.229 to 46.167.82.23046.167.82.2312
18746.167.82.232/3046.167.82.233 to 46.167.82.23446.167.82.2352
18846.167.82.236/3046.167.82.237 to 46.167.82.23846.167.82.2392
18946.167.82.240/3046.167.82.241 to 46.167.82.24246.167.82.2432
19046.167.82.244/3046.167.82.245 to 46.167.82.24646.167.82.2472
19146.167.82.248/3046.167.82.249 to 46.167.82.25046.167.82.2512
19246.167.82.252/3046.167.82.253 to 46.167.82.25446.167.82.2552
19346.167.83.0/3046.167.83.1 to 46.167.83.246.167.83.32
19446.167.83.4/3046.167.83.5 to 46.167.83.646.167.83.72
19546.167.83.8/3046.167.83.9 to 46.167.83.1046.167.83.112
19646.167.83.12/3046.167.83.13 to 46.167.83.1446.167.83.152
19746.167.83.16/3046.167.83.17 to 46.167.83.1846.167.83.192
19846.167.83.20/3046.167.83.21 to 46.167.83.2246.167.83.232
19946.167.83.24/3046.167.83.25 to 46.167.83.2646.167.83.272
20046.167.83.28/3046.167.83.29 to 46.167.83.3046.167.83.312
20146.167.83.32/3046.167.83.33 to 46.167.83.3446.167.83.352
20246.167.83.36/3046.167.83.37 to 46.167.83.3846.167.83.392
20346.167.83.40/3046.167.83.41 to 46.167.83.4246.167.83.432
20446.167.83.44/3046.167.83.45 to 46.167.83.4646.167.83.472
20546.167.83.48/3046.167.83.49 to 46.167.83.5046.167.83.512
20646.167.83.52/3046.167.83.53 to 46.167.83.5446.167.83.552
20746.167.83.56/3046.167.83.57 to 46.167.83.5846.167.83.592
20846.167.83.60/3046.167.83.61 to 46.167.83.6246.167.83.632
20946.167.83.64/3046.167.83.65 to 46.167.83.6646.167.83.672
21046.167.83.68/3046.167.83.69 to 46.167.83.7046.167.83.712
21146.167.83.72/3046.167.83.73 to 46.167.83.7446.167.83.752
21246.167.83.76/3046.167.83.77 to 46.167.83.7846.167.83.792
21346.167.83.80/3046.167.83.81 to 46.167.83.8246.167.83.832
21446.167.83.84/3046.167.83.85 to 46.167.83.8646.167.83.872
21546.167.83.88/3046.167.83.89 to 46.167.83.9046.167.83.912
21646.167.83.92/3046.167.83.93 to 46.167.83.9446.167.83.952
21746.167.83.96/3046.167.83.97 to 46.167.83.9846.167.83.992
21846.167.83.100/3046.167.83.101 to 46.167.83.10246.167.83.1032
21946.167.83.104/3046.167.83.105 to 46.167.83.10646.167.83.1072
22046.167.83.108/3046.167.83.109 to 46.167.83.11046.167.83.1112
22146.167.83.112/3046.167.83.113 to 46.167.83.11446.167.83.1152
22246.167.83.116/3046.167.83.117 to 46.167.83.11846.167.83.1192
22346.167.83.120/3046.167.83.121 to 46.167.83.12246.167.83.1232
22446.167.83.124/3046.167.83.125 to 46.167.83.12646.167.83.1272
22546.167.83.128/3046.167.83.129 to 46.167.83.13046.167.83.1312
22646.167.83.132/3046.167.83.133 to 46.167.83.13446.167.83.1352
22746.167.83.136/3046.167.83.137 to 46.167.83.13846.167.83.1392
22846.167.83.140/3046.167.83.141 to 46.167.83.14246.167.83.1432
22946.167.83.144/3046.167.83.145 to 46.167.83.14646.167.83.1472
23046.167.83.148/3046.167.83.149 to 46.167.83.15046.167.83.1512
23146.167.83.152/3046.167.83.153 to 46.167.83.15446.167.83.1552
23246.167.83.156/3046.167.83.157 to 46.167.83.15846.167.83.1592
23346.167.83.160/3046.167.83.161 to 46.167.83.16246.167.83.1632
23446.167.83.164/3046.167.83.165 to 46.167.83.16646.167.83.1672
23546.167.83.168/3046.167.83.169 to 46.167.83.17046.167.83.1712
23646.167.83.172/3046.167.83.173 to 46.167.83.17446.167.83.1752
23746.167.83.176/3046.167.83.177 to 46.167.83.17846.167.83.1792
23846.167.83.180/3046.167.83.181 to 46.167.83.18246.167.83.1832
23946.167.83.184/3046.167.83.185 to 46.167.83.18646.167.83.1872
24046.167.83.188/3046.167.83.189 to 46.167.83.19046.167.83.1912
24146.167.83.192/3046.167.83.193 to 46.167.83.19446.167.83.1952
24246.167.83.196/3046.167.83.197 to 46.167.83.19846.167.83.1992
24346.167.83.200/3046.167.83.201 to 46.167.83.20246.167.83.2032
24446.167.83.204/3046.167.83.205 to 46.167.83.20646.167.83.2072
24546.167.83.208/3046.167.83.209 to 46.167.83.21046.167.83.2112
24646.167.83.212/3046.167.83.213 to 46.167.83.21446.167.83.2152
24746.167.83.216/3046.167.83.217 to 46.167.83.21846.167.83.2192
24846.167.83.220/3046.167.83.221 to 46.167.83.22246.167.83.2232
24946.167.83.224/3046.167.83.225 to 46.167.83.22646.167.83.2272
25046.167.83.228/3046.167.83.229 to 46.167.83.23046.167.83.2312
25146.167.83.232/3046.167.83.233 to 46.167.83.23446.167.83.2352
25246.167.83.236/3046.167.83.237 to 46.167.83.23846.167.83.2392
25346.167.83.240/3046.167.83.241 to 46.167.83.24246.167.83.2432
25446.167.83.244/3046.167.83.245 to 46.167.83.24646.167.83.2472
25546.167.83.248/3046.167.83.249 to 46.167.83.25046.167.83.2512
25646.167.83.252/3046.167.83.253 to 46.167.83.25446.167.83.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses